cURL
curl --request GET \ --url https://api.plexospay.com/v1/checkout/sessions/{id} \ --header 'Authorization: Bearer <token>'
{ "id": "cs_abc123", "url": "https://pay.plexospay.com/cs_abc123", "amount": "30000", "currency": "CVE", "status": "OPEN", "returnUrl": "<string>", "completionUrl": "<string>", "customerId": "<string>", "paymentIntentId": "<string>", "items": [ { "id": "<string>", "productId": "<string>", "name": "<string>", "description": "<string>", "quantity": 123, "unitPrice": "<string>", "currency": "CVE" } ], "metadata": {}, "expiresAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }
API key starting with sk_live_ or sk_test_
sk_live_
sk_test_
Checkout session details
"cs_abc123"
"https://pay.plexospay.com/cs_abc123"
"30000"
ISO currency code
CVE
AOA
OPEN
COMPLETED
EXPIRED
Show child attributes
Arbitrary key-value metadata (max 50 keys)